import { ComponentType } from 'react';
import { Maybe } from 'yammies/utils/types';
export type LoadableComponentFunction<P = Record<string, any>> = () => Promise<ComponentType<P>>;
export declare function loadable<P = any>(loadFunction: LoadableComponentFunction<P>, Fallback?: Maybe<ComponentType>, ExtraComponent?: ComponentType<any>): ComponentType<P>;
//# sourceMappingURL=loadable.d.ts.map